%{?nodejs_find_provides_and_requires}

%global packagename keygrip
%global enable_tests 1

Name:		nodejs-keygrip
Version:	1.0.1
Release:	1%{?dist}
Summary:	Key signing and verification for rotated credentials

License:	MIT
URL:		https://github.com/expressjs/keygrip.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The license was not included in the npm tarball, but is in the upstream github repo
Source1:	https://raw.githubusercontent.com/crypto-utils/keygrip/3a9187813929788d150f596545edc68b453bfec0/LICENSE.txt

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Key signing and verification for rotated credentials


%prep
%setup -q -n package
# copy the license file
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
